Issue 122208 - improve compatibility with standard STL
improve compatibility with standard STL
Status: RESOLVED FIXED
Product: General
Classification: Code
Component: code
4.0.0-dev
All All
: P3 normal (vote)
: 4.1.0
Assigned To: hdu@apache.org
:
Depends on: 123960 123068 123947 124131
Blocks: 121585 122362 122766 122361 122378 122396
  Show dependency treegraph
 
Reported: 2013-05-02 11:16 UTC by hdu@apache.org
Modified: 2014-01-28 09:26 UTC (History)
1 user (show)

See Also:
Issue Type: TASK
Latest Confirmation on: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description hdu@apache.org 2013-05-02 11:16:55 UTC
AOO still depends on stlport4 which predates the C++11 standard and its TR1 containers by many years. Some methods/containers have not made it into the standard, some have been replaced and some behave differently. AOO should target the standard STL and thus gradually remove/replace code to make it compatible with the C++11 standard.
Comment 1 SVN Robot 2013-05-02 11:22:35 UTC
"hdu" committed SVN revision 1478327 into trunk:
#i122208# remove rope which is not a std:: container
Comment 2 SVN Robot 2013-05-02 12:08:44 UTC
"hdu" committed SVN revision 1478337 into trunk:
#i122208# remove makefile entry for rope
Comment 3 SVN Robot 2013-05-02 13:03:05 UTC
"hdu" committed SVN revision 1478355 into trunk:
#i122208# avoid incomplete type for container element
Comment 4 SVN Robot 2013-05-08 15:17:21 UTC
"hdu" committed SVN revision 1480318 into trunk:
#i122208# use rtl::CStringHash and rtl::CStringEqual instead of relying on pr...
Comment 5 SVN Robot 2013-05-08 17:21:05 UTC
"hdu" committed SVN revision 1480359 into branches/rejuvenate01:
#i122208# #i121585# update STL wrappers to boost/tr1 or libc++
Comment 6 SVN Robot 2013-05-08 17:26:09 UTC
"hdu" committed SVN revision 1480367 into branches/rejuvenate01:
#i122208# replace the binaryurp cache for improved C++ compatibility
Comment 7 SVN Robot 2013-05-08 17:36:31 UTC
"hdu" committed SVN revision 1480375 into branches/rejuvenate01:
#i122208# force configmgr's partial to boost container for now
Comment 8 SVN Robot 2013-05-08 17:45:19 UTC
"hdu" committed SVN revision 1480378 into branches/rejuvenate01:
#i122208# force configmgr's partial to boost container for now
Comment 9 SVN Robot 2013-05-08 18:10:02 UTC
"hdu" committed SVN revision 1480382 into branches/rejuvenate01:
#i122208# fix a type ambiguity in layoutimpl::VCLXDialog objects
Comment 10 SVN Robot 2013-05-08 18:25:32 UTC
"hdu" committed SVN revision 1480391 into branches/rejuvenate01:
#i122208# std::identity() didn't make it into the C++ standard
Comment 11 SVN Robot 2013-05-08 18:29:03 UTC
"hdu" committed SVN revision 1480395 into branches/rejuvenate01:
#i122208# use std::isfinite() if available
Comment 12 SVN Robot 2013-05-08 18:39:31 UTC
"hdu" committed SVN revision 1480399 into branches/rejuvenate01:
#i122208# remove unneeded boost::math namespace
Comment 13 SVN Robot 2013-05-08 18:43:03 UTC
"hdu" committed SVN revision 1480400 into branches/rejuvenate01:
#i122208# force STL-wrappers around the vector<bool> magic in connectivity
Comment 14 SVN Robot 2013-05-08 18:46:27 UTC
"hdu" committed SVN revision 1480401 into branches/rejuvenate01:
#i122208# fix some minor class/struct declaration mismatches
Comment 15 SVN Robot 2013-05-15 08:24:09 UTC
"hdu" committed SVN revision 1482719 into trunk:
#i122208# avoid default assignment operator of recursive STL containers
Comment 16 SVN Robot 2013-05-15 09:26:37 UTC
"hdu" committed SVN revision 1482736 into trunk:
#i122208# avoid signedness warnings in signed-char build environments
Comment 17 SVN Robot 2013-05-15 10:04:52 UTC
"hdu" committed SVN revision 1482744 into branches/rejuvenate01:
#i122208# prevent boost from using typeids in connectivity's no-rtti parts
Comment 18 SVN Robot 2013-05-17 09:05:37 UTC
"hdu" committed SVN revision 1483704 into branches/rejuvenate01:
#i122208# filter symbols from win's native tr1 from reexport
Comment 19 SVN Robot 2013-05-17 09:19:08 UTC
"hdu" committed SVN revision 1483710 into branches/rejuvenate01:
#i122208# include <algorithm> explicitly if needed
Comment 20 SVN Robot 2013-05-17 10:57:57 UTC
"hdu" committed SVN revision 1483731 into branches/rejuvenate01:
#i122208# const SW containers cannot provide non-const iterators
Comment 21 SVN Robot 2013-05-17 10:57:58 UTC
"hdu" committed SVN revision 1483732 into branches/rejuvenate01:
#i122208# const SC containers cannot provide non-const iterators
Comment 22 SVN Robot 2013-05-17 10:57:58 UTC
"hdu" committed SVN revision 1483733 into branches/rejuvenate01:
#i122208# a const SD container cannot provide non-const iterators
Comment 23 SVN Robot 2013-05-17 11:00:17 UTC
"hdu" committed SVN revision 1483734 into branches/rejuvenate01:
#i122208# fix sd::TransferableData::Representative's assignment operator
Comment 24 SVN Robot 2013-05-17 11:06:12 UTC
"hdu" committed SVN revision 1483737 into branches/rejuvenate01:
#i122208# a const XMLOFF container cannot provide non-const iterators
Comment 25 SVN Robot 2013-05-17 15:51:01 UTC
"hdu" committed SVN revision 1483880 into branches/rejuvenate01:
#i122208# updating stl wrappers for stlport4 emulation
Comment 26 SVN Robot 2013-05-17 16:14:18 UTC
"hdu" committed SVN revision 1483895 into branches/rejuvenate01:
#i122208# remove the need to emulate std::iota()
Comment 27 SVN Robot 2013-05-17 16:19:53 UTC
"hdu" committed SVN revision 1483900 into branches/rejuvenate01:
#i122208# WaE: avoid std::transform in namedvaluecollection.hxx
Comment 28 SVN Robot 2013-05-17 16:24:43 UTC
"hdu" committed SVN revision 1483901 into branches/rejuvenate01:
#i122208# filter symbols from win's native tr1 from reexport
Comment 29 SVN Robot 2013-05-17 16:41:56 UTC
"hdu" committed SVN revision 1483907 into branches/rejuvenate01:
#i122208# restore fillVisibleArgumentMapping() semantic
Comment 30 SVN Robot 2013-05-22 08:45:03 UTC
"hdu" committed SVN revision 1485116 into branches/rejuvenate01:
#i122208# no need to wrap STL's numeric header
Comment 31 SVN Robot 2013-05-24 17:32:49 UTC
"hdu" committed SVN revision 1486127 into branches/rejuvenate01:
#i122208# disable a noisy warning of MSVC TR1's list header
Comment 32 SVN Robot 2013-05-27 11:25:44 UTC
"hdu" committed SVN revision 1486581 into trunk:
#i122208# const SW containers cannot provide non-const iterators
Comment 33 SVN Robot 2013-05-27 11:27:43 UTC
"hdu" committed SVN revision 1486582 into trunk:
#i122208# const SC containers cannot provide non-const iterators
Comment 34 SVN Robot 2013-05-27 11:29:06 UTC
"hdu" committed SVN revision 1486583 into trunk:
#i122208# const SD containers cannot provide non-const iterators
Comment 35 SVN Robot 2013-05-27 11:30:18 UTC
"hdu" committed SVN revision 1486584 into trunk:
#i122208# fix sd::TransferableData::Representative's assignment operator
Comment 36 SVN Robot 2013-05-27 15:46:36 UTC
"hdu" committed SVN revision 1486646 into trunk:
#i122208# include <algorithm> explicitly if functions from <algorithm> are used
Comment 37 SVN Robot 2013-05-28 09:45:12 UTC
"hdu" committed SVN revision 1486836 into trunk:
#i122208# const XMLOFF containers cannot provide non-const iterators
Comment 38 SVN Robot 2013-05-29 13:26:44 UTC
"hdu" committed SVN revision 1487476 into trunk:
#i122208# remove configure check for hash_map in system STL
Comment 39 SVN Robot 2013-05-30 14:07:13 UTC
"hdu" committed SVN revision 1487865 into trunk:
#i122208# update STL header wrappers
Comment 40 SVN Robot 2013-05-30 15:36:51 UTC
"hdu" committed SVN revision 1487896 into trunk:
#i122208# added remaining header wrappers
Comment 41 hdu@apache.org 2013-07-11 14:44:45 UTC
Fixed.
Comment 42 SVN Robot 2013-08-14 13:25:05 UTC
"hdu" committed SVN revision 1513872 into branches/rejuvenate01:
#i122208# allow silgraphite build with move-semantic enabled STL
Comment 43 SVN Robot 2013-08-19 06:47:16 UTC
"hdu" committed SVN revision 1515285 into branches/rejuvenate01:
#i122208# use explicit hash functors for unordered_maps with non-standard typ...
Comment 44 SVN Robot 2013-11-27 08:51:14 UTC
"hdu" committed SVN revision 1545963 into trunk:
#i122208# allow silgraphite build with a move-semantic enabled STL
Comment 45 SVN Robot 2013-12-12 08:50:57 UTC
"hdu" committed SVN revision 1550375 into trunk:
#i122208# replace the binaryurp cache for improved C++ compatibility
Comment 46 SVN Robot 2013-12-12 10:08:53 UTC
"hdu" committed SVN revision 1550388 into trunk:
#i122208# force boost *map for configmgr's Modifications Node structure
Comment 47 SVN Robot 2014-01-22 12:39:06 UTC
"hdu" committed SVN revision 1560334 into trunk:
#i122208# the std::isfinite() workaround is only needed for GCC